kmod_22-1ubuntu5.2_amd64.deb


Advertisement

Description

kmod - tools for managing Linux kernel modules

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package filename kmod_22-1ubuntu5.2_amd64.deb
Package name kmod
Package version 22
Package release 1ubuntu5.2
Package architecture amd64
Package type deb
Category admin
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 86.52 KB
Installed size 237.00 KB
This package contains a set of programs for loading, inserting, and
removing kernel modules for Linux.
It replaces module-init-tools.

Alternatives

Package Version Architecture Repository
kmod_22-1ubuntu5.2_i386.deb 22 i386 Ubuntu Updates Main
kmod_22-1ubuntu4_i386.deb 22 i386 Ubuntu Main
kmod_22-1ubuntu4_amd64.deb 22 amd64 Ubuntu Main
kmod - - -

Requires

Name Value
libc6 >= 2.17
libkmod2 = 22-1ubuntu5.2
lsb-base >= 4.1+Debian11ubuntu7

Download

Type URL
Mirror archive.ubuntu.com
Binary Package kmod_22-1ubuntu5.2_amd64.deb
Source Package kmod

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install kmod deb package:
    # sudo apt-get install kmod

Files

Path
/bin/kmod
/bin/lsmod
/etc/depmod.d/ubuntu.conf
/etc/init/kmod.conf
/etc/init.d/kmod
/etc/modprobe.d/blacklist-ath_pci.conf
/etc/modprobe.d/blacklist-firewire.conf
/etc/modprobe.d/blacklist-framebuffer.conf
/etc/modprobe.d/blacklist-rare-network.conf
/etc/modprobe.d/blacklist-watchdog.conf
/etc/modprobe.d/blacklist.conf
/etc/modprobe.d/iwlwifi.conf
/etc/modprobe.d/mlx4.conf
/lib/modprobe.d/aliases.conf
/sbin/depmod
/sbin/insmod
/sbin/lsmod
/sbin/modinfo
/sbin/modprobe
/sbin/rmmod
/usr/share/bash-completion/completions/kmod
/usr/share/doc/kmod
/usr/share/doc/libkmod2/README
/usr/share/doc/libkmod2/TODO
/usr/share/initramfs-tools/hooks/kmod
/usr/share/man/fr/man5/modules.5.gz
/usr/share/man/man5/depmod.d.5.gz
/usr/share/man/man5/modprobe.d.5.gz
/usr/share/man/man5/modules.5.gz
/usr/share/man/man5/modules.dep.5.gz
/usr/share/man/man5/modules.dep.bin.5.gz
/usr/share/man/man8/depmod.8.gz
/usr/share/man/man8/insmod.8.gz
/usr/share/man/man8/kmod.8.gz
/usr/share/man/man8/lsmod.8.gz
/usr/share/man/man8/modinfo.8.gz
/usr/share/man/man8/modprobe.8.gz
/usr/share/man/man8/rmmod.8.gz

Changelog

2018-11-13 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
kmod (22-1ubuntu5.2) xenial; urgency=medium
* Add i2c_i801 back to d/modprobe.d/blacklist.conf again due to regressions.
(LP: #1802689, #1802135)
2018-10-24 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
kmod (22-1ubuntu5.1) xenial; urgency=medium
* Remove i2c_i801 from d/modprobe.d/blacklist.conf. (LP: #1786574)
2017-07-25 - Adam Conrad <adconrad@ubuntu.com>
kmod (22-1ubuntu5) xenial; urgency=medium
* depmod-ignore-powerpc64-abiv2-toc-symbol.patch: Ignore the TOC symbol
in depmod on PPC64 as it does not need to be relocated (LP: #1696710)
* fix-docs-build: Fix build failure with the xenial version of gtk-doc.
2016-03-13 - Andy Whitcroft <apw@ubuntu.com>
kmod (22-1ubuntu4) xenial; urgency=low
* fix brown paper bag error in reinstated package name:
modules-init-tools -> module-init-tools.
2016-03-09 - Andy Whitcroft <apw@canonical.com>
kmod (22-1ubuntu3) xenial; urgency=low
* reinstate module-init-tools transitional package.  (LP: #1550741)
- as we have versioned dependancies from the kernel to this in 14.04
removing this package throws the apt in trusty for a loop preventing
upgrades.
- note that this reverts the P/C/R combo from the previous upload.
2016-03-08 - Andy Whitcroft <apw@ubuntu.com>
kmod (22-1ubuntu2) xenial; urgency=low
* Provides/Conflicts/Replaces: module-init-tools to fix upgrades from
15.10 which has a strict versioned Depends: on kmod.  (LP: #1550741)
2016-02-04 - Andy Whitcroft <apw@ubuntu.com>
kmod (22-1ubuntu1) xenial; urgency=low
* Merge with Debian unstable (LP: #1541917).  Remaining changes:
- Install ubuntu-specific depmod.d and modprobe.d contents.
- Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
- Install upstart job and exit the init script under upstart.
- Mark transitional module-init-tools as Multi-Arch: foreign.
- Drop the alsa-base Breaks, our version is quite different.
- On upgrade, remove obsolete rtc module from /etc/modules.
- Update libtool macros and rerun autoconf for new arches.
2015-12-20 - Marco d'Itri <md@linux.it>
kmod (22-1) unstable; urgency=medium
* New upstream release.
* Set $SOURCE_DATE_EPOCH in debian/rules for reproducibility.
(Closes: #783152)
* Remove the module-init-tools transitional package.
2015-08-20 - Andy Whitcroft <apw@ubuntu.com>
kmod (21-1ubuntu1) wily; urgency=medium
* Merge with Debian unstable (LP: #1487040).  Remaining changes:
- Install ubuntu-specific depmod.d and modprobe.d contents.
- Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
- Install upstart job and exit the init script under upstart.
- Mark transitional module-init-tools as Multi-Arch: foreign.
- Drop the alsa-base Breaks, our version is quite different.
- On upgrade, remove obsolete rtc module from /etc/modules.
- Update libtool macros and rerun autoconf for new arches.
2015-07-05 - Marco d'Itri <md@linux.it>
kmod (21-1) unstable; urgency=medium
* New upstream release. Fixes:
+ spurious spaces in lsmod output. (Closes: #782692)
+ a missing comman in rmmod(8). (Closes: #787548)
* kmod.init: support the modules-load.d directories in /usr.
(Closes: #673747)
* Build the developers' documentation with gtk-doc. (Closes: #789462)

See Also

Package Description
kpartx-boot_0.5.0+git1.656f8865-5ubuntu2.5_all.deb Provides kpartx during boot
kpartx_0.5.0+git1.656f8865-5ubuntu2.5_amd64.deb create device mappings for partitions
krb5-doc_1.13.2+dfsg-5ubuntu2.1_all.deb Documentation for MIT Kerberos
krb5-locales_1.13.2+dfsg-5ubuntu2.1_all.deb Internationalization support for MIT Kerberos
krb5-multidev_1.13.2+dfsg-5ubuntu2.1_amd64.deb Development files for MIT Kerberos without Heimdal conflict
landscape-client_16.03-0ubuntu2.16.04.7_amd64.deb The Landscape administration system client
landscape-common_16.03-0ubuntu2.16.04.7_amd64.deb The Landscape administration system client - Common files
language-pack-af-base_16.04+20160627_all.deb translations for language Afrikaans
language-pack-af_16.04+20160627_all.deb translation updates for language Afrikaans
language-pack-am-base_16.04+20160627_all.deb translations for language Amharic
language-pack-am_16.04+20160627_all.deb translation updates for language Amharic
language-pack-an-base_16.04+20160627_all.deb translations for language Aragonese
language-pack-an_16.04+20160627_all.deb translation updates for language Aragonese
language-pack-ar-base_16.04+20160627_all.deb translations for language Arabic
language-pack-ar_16.04+20160627_all.deb translation updates for language Arabic
Advertisement
Advertisement